package configuration

type Settings map[string]interface{}

type Watch struct {
	Path    string   `yaml:"Path" json:"Path"`
	Command string   `yaml:"Command" json:"Command"`
	Exclude []string `yaml:"Exclude" json:"Exclude"`
}

type ConfigStruct struct {
	Server struct {
		Address string `env:"SERVER_ADDRESS" yaml:"Address"`
		Host    string `env:"SERVER_HOST" yaml:"Host"`
		Port    int    `env:"SERVER_PORT,default=8080" yaml:"Port"`
		Path    struct {
			Web string `env:"SERVER_PATH_WEB,default=." yaml:"Web"`
			//			Source   string `env:"SERVER_PATH_SOURCE,default=." yaml:"Source"`
			//			Resource string `env:"SERVER_PATH_RESOURCE" yaml:"Resource"`
		} `yaml:"Path"`
		Logging struct {
			Level string `env:"SERVER_LOGGING_LEVEL,default=info" yaml:"Level"`
		}
		Flags struct {
			Debug          bool `env:"SERVER_FLAGS_DEBUG,default=false" yaml:"Debug"`
			FollowSymlinks bool `env:"SERVER_FLAGS_FOLLOW_SYMLINKS,default=false" yaml:"FollowSymlinks"`
		} `yaml:"Flags"`
		Watch []Watch `yaml:"Watch"`
	} `yaml:"Server"`
	//	Client  Client `yaml:"Client" json:"Client"`
}
